libnvme(2)

NAME
struct nvme_nvm_id_ns - NVME Command Set I/O Command Set Specific Identify Namespace Data Structure

SYNOPSIS
struct nvme_nvm_id_ns {
__le64 lbstm;
__u8 pic;
__u8 pifa;
__u8 rsvd10[2];
__le32 elbaf[64];
__le32 npdgl;
__le32 nprg;
__le32 npra;
__le32 nors;
__le32 npdal;
__le32 lbapss;
__le32 tlbaag;
__u8 rsvd296[3800];
};

Members

lbstm
    Logical Block Storage Tag Mask

pic Protection Information Capabilities

pifa
    Protection Information Format Attribute

rsvd10
    Reserved

elbaf
    List of Extended LBA Format Support

npdgl
    Namespace Preferred Deallocate Granularity Large

nprg
    Namespace Preferred Read Granularity

npra
    Namespace Preferred Read Alignment

nors
    Namespace Optimal Read Size

npdal
    Namespace Preferred Deallocate Alignment Large

lbapss
    LBA Format Placement Shard Size

tlbaag
    Tracked LBA Allocation Granularity

rsvd296
    Reserved